Mac下Homebrew 安装Erlang 提示错误

在mac上利用homebrew安装erlang的时候提示下面的错误

$ brew install erlang
Error: You must `brew link libtool' before erlang can be installed
zhi:~ zhi$ brew link libtool
Linking /usr/local/Cellar/libtool/2.4.2... 
Error: Could not symlink include/ltdl.h
/usr/local/include is not writable.
阅读 15k
评论
    4 个回答
    • 9.7k

    运行brew doctor,把它报的错先搞定,重复这个过程,直到它不报错为止。

    PS.话说上面的出错提示信息不是已经很明显了么?如果你是管理员用户,先跑一下sudo chmod -R g+w /usr/local

      • 1
      • 新人请关照

      You can do:
      sudo chown -R whoami /usr/local
      brew link libtool

        • 440

        sudo brew install erlang
        因为brew在安装文件的时候需要root权限,命令前面加上sudo就好了
        命令在回车后会让你输入你当前用户的密码,输入然后回车就行了

        如果依然不行,也可能是读写权限问题,看一下相关目录下的读写权限,确定问题出在哪再说

          • 0
          • 新人请关照

          该答案已被忽略,原因:

            撰写回答

            登录后参与交流、获取后续更新提醒

            相似问题
            推荐文章